Skip to main content
PATCH
Update GitLab integration

Authorizations

Authorization
string
header
required

API key or session token (Bearer)

Path Parameters

projectId
string
required

Body

application/json
isActive
boolean

Response

object | null

The updated integration

id
string
required
projectId
string
required
baseUrl
string
required

Root URL of the GitLab instance.

projectPath
string
required

Full path of the linked project, nested groups included.

tokenType
enum<string>
required
Available options:
private,
bearer
maskedAccessToken
string
required

First and last characters of the stored token, only returned to callers with workspace:manage_settings.

isActive
boolean | null
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
webhookUrl
string

Where GitLab should POST events for this project.

webhookSecret
string

Only returned to callers with workspace:manage_settings, so the value can be pasted into GitLab.

branchPattern
string

When on, Kaneo comments a link back to the task on each issue opened in GitLab. Issues Kaneo creates from tasks are not commented on.